#!/usr/bin/env python
# -*- coding: UTF -*-

############################################################################
#    Copyright (C) 2008 by Tomáš Košan   #
#    t.kosan@k25.cz   #
#                                                                          #
#    This program is free software; you can redistribute it and#or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################

from qt import *
from qtcanvas import *

class Cursor(QCanvasPolygon):
	def __init__(self, canvas, number=1):
	        QCanvasPolygon.__init__(self, canvas)
		array = QPointArray(5)
		
		if number == 1 or number == 2:
			array.setPoint(0, 0,0)
			array.setPoint(1, 0,16)
			array.setPoint(2, 12,16)
			array.setPoint(3, 20,8)
			array.setPoint(4, 12,0)
			self.setX(0)
			self.setY(-5)
		
		color = QColor()
		
		# CH1 cursor
		if number == 1:
			color.setNamedColor("cyan")
			brush = QBrush(color)
		# CH2 cursor
		if number == 2:
			color.setNamedColor("yellow")
			brush = QBrush(color, Qt.Dense4Pattern)
		# CH3 cursor	
		if number == 3:
			array.setPoint(0, 0,0)
			array.setPoint(1, 6,6)
			array.setPoint(2, 12,0)
			array.setPoint(3, 0,0)
			array.setPoint(4, 0,0)
			
			self.setY(20)
			self.setX(270)
			color.setNamedColor("red")
			brush = QBrush(color)
		
		self.setBrush(brush)
		self.setPoints(array)
		self.show()

		
